Skip to main content
Get edge network
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the network

Response

A successful response.

Network provides Edge nodes a variety of connectivity choices for all types of networks. This enables physical connectivity with Ethernet, WiFi, LTE to communicate with ZEDEDA Cloud controller and Data Centres.

name
string
required

User defined name of the network, unique across the enterprise. Once object is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the network. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
projectId
string
required
kind
enum<string>
default:NETWORK_KIND_UNSPECIFIED
required
Available options:
NETWORK_KIND_UNSPECIFIED,
NETWORK_KIND_V4,
NETWORK_KIND_V6,
NETWORK_KIND_V4_ONLY,
NETWORK_KIND_V6_ONLY,
NETWORK_KIND_DUAL_V4_V6
ip
object
required
id
string
read-only

System defined universally unique Id of the network

Pattern: [0-9A-Za-z-]+
description
string

Detailed description of the network

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info

dnsList
Static DNS list · object[]
proxy
enterprise proxy · object

Net Proxy Configurations

enterpriseDefault
boolean
mtu
integer<int64>
wireless
Wifi configuration · object
project
project configuration · object